Package org.gradle.tooling

# Interface CancellationToken

public interface CancellationToken
Token that propagates notification that an operation should be cancelled. See `CancellationTokenSource` for details.

All implementations of this interface are required to be thread safe.

Since:
  2.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isCancellationRequested()`
  Gets whether cancellation has been requested for this token.

- ## Method Details

  - ### isCancellationRequested

    boolean isCancellationRequested()
    Gets whether cancellation has been requested for this token.
    Returns:
      Cancellation status.